# PHPExcel classes » \PHPExcel_Writer_PDF_Core
Author: Mike van Riel

PHPExcel_Writer_PDF_Core

@category PHPExcel

package | PHPExcel_Writer_PDF @copyright Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Writer_PDF

    __construct(\PHPExcel $phpExcel)

@param PHPExcel $phpExcel PHPExcel object

### Parameters

#### $phpExcel

`\PHPExcel`

PHPExcel object

## Build CSS styles

    buildCSS(boolean $generateSurroundingHTML) : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::buildCSS()

### Parameters

#### $generateSurroundingHTML

`boolean`

Generate surrounding HTML style? (html { })

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`array`

## Add color to formatted string as inline style

    formatColor(string $pValue, string $pFormat) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::formatColor()

### Parameters

#### $pValue

`string`

Plain formatted value without color

#### $pFormat

`string`

Format code

### Returns

`string`

## Generate HTML header

    generateHTMLHeader(boolean $pIncludeStyles) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::generateHTMLHeader()

### Parameters

#### $pIncludeStyles

`boolean`

Include styles?

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Generate sheet data

    generateSheetData() : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::generateSheetData()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Generate CSS styles

    generateStyles(boolean $generateSurroundingHTML) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::generateStyles()

### Parameters

#### $generateSurroundingHTML

`boolean`

Generate surrounding HTML tags? (
)

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Get disk caching directory

    getDiskCachingDirectory() : string

Inherited

inherited_from | \PHPExcel_Writer_Abstract::getDiskCachingDirectory()
inherited_from | \PHPExcel_Writer_HTML::getDiskCachingDirectory()

### Returns

`string`

## Get embed images

    getEmbedImages() : boolean

Inherited

inherited_from | \PHPExcel_Writer_HTML::getEmbedImages()

### Returns

`boolean`

## Get Font

    getFont()

@return string

## Get images root

    getImagesRoot() : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::getImagesRoot()

### Returns

`string`

## Write charts in workbook? If this is true, then the Writer will write definitions for any charts that exist in the PHPExcel object.

    getIncludeCharts() : boolean

Inherited

If false (the default) it will ignore any charts defined in the PHPExcel object.

inherited_from | \PHPExcel_Writer_Abstract::getIncludeCharts()
inherited_from | \PHPExcel_Writer_HTML::getIncludeCharts()

### Returns

`boolean`

## Get Orientation

    getOrientation()

@return string

## Get Paper Size

    getPaperSize()

@return int

## Get Pre-Calculate Formulas flag If this is true (the default), then the writer will recalculate all formulae in a workbook when saving, so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet viewer when opening the file If false, then formulae are not calculated on save.

    getPreCalculateFormulas() : boolean

Inherited

This is faster for saving in PHPExcel, but slower when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself

inherited_from | \PHPExcel_Writer_Abstract::getPreCalculateFormulas()
inherited_from | \PHPExcel_Writer_HTML::getPreCalculateFormulas()

### Returns

`boolean`

## Get sheet index

    getSheetIndex() : int

Inherited

inherited_from | \PHPExcel_Writer_HTML::getSheetIndex()

### Returns

`int`

## Get temporary storage directory

    getTempDir()

@return string

## Get use disk caching where possible?

    getUseDiskCaching() : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::getUseDiskCaching()
inherited_from | \PHPExcel_Writer_HTML::getUseDiskCaching()

### Returns

`boolean`

## Get use inline CSS?

    getUseInlineCss() : boolean

Inherited

inherited_from | \PHPExcel_Writer_HTML::getUseInlineCss()

### Returns

`boolean`

## Save PHPExcel to file

    save(string $pFilename)

Inherited

@param string $pFilename Name of the file to save

inherited_from | \PHPExcel_Writer_HTML::save()

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Set embed images

    setEmbedImages(boolean $pValue) : \PHPExcel_Writer_HTML

Inherited

inherited_from | \PHPExcel_Writer_HTML::setEmbedImages()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Writer_HTML`

## Set font.

    setFont(string $fontName)

Examples: 'arialunicid0-chinese-simplified' 'arialunicid0-chinese-traditional' 'arialunicid0-korean' 'arialunicid0-japanese'

### Parameters

#### $fontName

`string`

## Set images root

    setImagesRoot(string $pValue) : \PHPExcel_Writer_HTML

Inherited

inherited_from | \PHPExcel_Writer_HTML::setImagesRoot()

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Writer_HTML`

## Set write charts in workbook Set to true, to advise the Writer to include any charts that exist in the PHPExcel object.

    setIncludeCharts(boolean $pValue) : \PHPExcel_Writer_IWriter

Inherited

Set to false (the default) to ignore charts.

inherited_from | \PHPExcel_Writer_Abstract::setIncludeCharts()
inherited_from | \PHPExcel_Writer_HTML::setIncludeCharts()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Writer_IWriter`

## Set Orientation

    setOrientation($pValue) : \PHPExcel_Writer_PDF

@param string $pValue Page orientation

### Parameters

#### $pValue

### Returns

`\PHPExcel_Writer_PDF`

## Set Paper Size

    setPaperSize($pValue) : \PHPExcel_Writer_PDF

@param string $pValue Paper size

### Parameters

#### $pValue

### Returns

`\PHPExcel_Writer_PDF`

## Set Pre-Calculate Formulas Set to true (the default) to advise the Writer to calculate all formulae on save Set to false to prevent precalculation of formulae on save.

    setPreCalculateFormulas(boolean $pValue) : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Abstract::setPreCalculateFormulas()
inherited_from | \PHPExcel_Writer_HTML::setPreCalculateFormulas()

### Parameters

#### $pValue

`boolean`

Pre-Calculate Formulas?

### Returns

`\PHPExcel_Writer_IWriter`

## Set sheet index

    setSheetIndex(int $pValue) : \PHPExcel_Writer_HTML

Inherited

inherited_from | \PHPExcel_Writer_HTML::setSheetIndex()

### Parameters

#### $pValue

`int`

Sheet index

### Returns

`\PHPExcel_Writer_HTML`

## Set temporary storage directory

    setTempDir($pValue)

@param string $pValue Temporary storage directory

### Parameters

#### $pValue

### Exceptions

`\PHPExcel_Writer_Exception` | when directory does not exist @return PHPExcel_Writer_PDF

## Set use disk caching where possible?

    setUseDiskCaching(boolean $pValue, string $pDirectory) : \PHPExcel_Writer_Excel2007

Inherited

inherited_from | \PHPExcel_Writer_Abstract::setUseDiskCaching()
inherited_from | \PHPExcel_Writer_HTML::setUseDiskCaching()

### Parameters

#### $pValue

`boolean`

#### $pDirectory

`string`

Disk caching directory

### Exceptions

`\PHPExcel_Writer_Exception` | when directory does not exist

### Returns

`\PHPExcel_Writer_Excel2007`

## Set use inline CSS?

    setUseInlineCss(boolean $pValue) : \PHPExcel_Writer_HTML

Inherited

inherited_from | \PHPExcel_Writer_HTML::setUseInlineCss()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Writer_HTML`

## Write all sheets (resets sheetIndex to NULL)

    writeAllSheets()

Inherited

inherited_from | \PHPExcel_Writer_HTML::writeAllSheets()

## Save PHPExcel to PDF file, pre-save

    prepareForSave($pFilename)

@param string $pFilename Name of the file to save as

### Parameters

#### $pFilename

### Exceptions

`\PHPExcel_Writer_Exception` |

## Save PHPExcel to PDF file, post-save

    restoreStateAfterSave($fileHandle)

@param resource $fileHandle

### Parameters

#### $fileHandle

### Exceptions

`\PHPExcel_Writer_Exception` |

## Takes array where of CSS properties / values and converts to CSS string

    _assembleCSS(array $pValue) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::_assembleCSS()

### Parameters

#### $pValue

`array`

### Returns

`string`

## Calculate information about HTML colspan and rowspan which is not always the same as Excel's

    _calculateSpans()

Inherited

inherited_from | \PHPExcel_Writer_HTML::_calculateSpans()

## Create CSS style

    _createCSSStyle(\PHPExcel_Style $pStyle) : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::_createCSSStyle()

### Parameters

#### $pStyle

`\PHPExcel_Style`

PHPExcel_Style

### Returns

`array`

## Create CSS style (PHPExcel_Style_Alignment)

    _createCSSStyleAlignment(\PHPExcel_Style_Alignment $pStyle) : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::_createCSSStyleAlignment()

### Parameters

#### $pStyle

`\PHPExcel_Style_Alignment`

PHPExcel_Style_Alignment

### Returns

`array`

## Create CSS style (PHPExcel_Style_Border)

    _createCSSStyleBorder(\PHPExcel_Style_Border $pStyle) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::_createCSSStyleBorder()

### Parameters

#### $pStyle

`\PHPExcel_Style_Border`

PHPExcel_Style_Border

### Returns

`string`

## Create CSS style (PHPExcel_Style_Borders)

    _createCSSStyleBorders(\PHPExcel_Style_Borders $pStyle) : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::_createCSSStyleBorders()

### Parameters

#### $pStyle

`\PHPExcel_Style_Borders`

PHPExcel_Style_Borders

### Returns

`array`

## Create CSS style (PHPExcel_Style_Fill)

    _createCSSStyleFill(\PHPExcel_Style_Fill $pStyle) : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::_createCSSStyleFill()

### Parameters

#### $pStyle

`\PHPExcel_Style_Fill`

PHPExcel_Style_Fill

### Returns

`array`

## Create CSS style (PHPExcel_Style_Font)

    _createCSSStyleFont(\PHPExcel_Style_Font $pStyle) : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::_createCSSStyleFont()

### Parameters

#### $pStyle

`\PHPExcel_Style_Font`

PHPExcel_Style_Font

### Returns

`array`

## _extendRowsForChartsAndImages()

    _extendRowsForChartsAndImages(\PHPExcel_Worksheet $pSheet, $row)

Inherited

inherited_from | \PHPExcel_Writer_HTML::_extendRowsForChartsAndImages()

### Parameters

#### $pSheet

#### $row

## Generate row

    _generateRow(\PHPExcel_Worksheet $pSheet, array $pValues, int $pRow) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::_generateRow()

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

PHPExcel_Worksheet

#### $pValues

`array`

Array containing cells in a row

#### $pRow

`int`

Row number (0-based)

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Generate table header

    _generateTableHeader(\PHPExcel_Worksheet $pSheet) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::_generateTableHeader()

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

The worksheet for the table we are writing

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Map border style

    _mapBorderStyle(int $borderStyle) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::_mapBorderStyle()

### Parameters

#### $borderStyle

`int`

Sheet index

### Returns

`string`

## Map HAlign

    _mapHAlign(string $hAlign) : string | false

Inherited

inherited_from | \PHPExcel_Writer_HTML::_mapHAlign()

### Parameters

#### $hAlign

`string`

Horizontal alignment

### Returns

`string` `false`

## Map VAlign

    _mapVAlign(string $vAlign) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::_mapVAlign()

### Parameters

#### $vAlign

`string`

Vertical alignment

### Returns

`string`

## _setMargins()

    _setMargins(\PHPExcel_Worksheet $pSheet)

Inherited

inherited_from | \PHPExcel_Writer_HTML::_setMargins()

### Parameters

#### $pSheet

## Generate chart tag in cell

    _writeChartInCell(\PHPExcel_Worksheet $pSheet, string $coordinates) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::_writeChartInCell()

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

PHPExcel_Worksheet

#### $coordinates

`string`

Cell coordinates

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Generate image tag in cell

    _writeImageInCell(\PHPExcel_Worksheet $pSheet, string $coordinates) : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::_writeImageInCell()

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

PHPExcel_Worksheet

#### $coordinates

`string`

Cell coordinates

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

### Properties

##

    $_diskCachingDirectory : string

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_diskCachingDirectory
inherited_from | \PHPExcel_Writer_HTML::$$_diskCachingDirectory

##

    $_font : string

##

    $_includeCharts : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_includeCharts
inherited_from | \PHPExcel_Writer_HTML::$$_includeCharts

##

    $_isPdf : boolean

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_isPdf

##

    $_orientation : string

##

    $_paperSize : int

##

    $_paperSizes : array

##

    $_phpExcel : \PHPExcel

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_phpExcel

##

    $_preCalculateFormulas : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_preCalculateFormulas
inherited_from | \PHPExcel_Writer_HTML::$$_preCalculateFormulas

##

    $_tempDir : string

##

    $_useDiskCaching : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_useDiskCaching
inherited_from | \PHPExcel_Writer_HTML::$$_useDiskCaching

##

    $_columnWidths : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_columnWidths

##

    $_cssStyles : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_cssStyles

##

    $_defaultFont : \PHPExcel_Style_Font

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_defaultFont

##

    $_embedImages : boolean

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_embedImages

##

    $_imagesRoot : string

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_imagesRoot

##

    $_isBaseCell : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_isBaseCell

##

    $_isSpannedCell : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_isSpannedCell

##

    $_isSpannedRow : array

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_isSpannedRow

##

    $_saveArrayReturnType : string

##

    $_sheetIndex : int

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_sheetIndex

##

    $_spansAreCalculated : boolean

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_spansAreCalculated

##

    $_useInlineCss : boolean

Inherited

inherited_from | \PHPExcel_Writer_HTML::$$_useInlineCss